# Platform The Platform API contains tenant level configuration and settings used throughout Rhythm. This includes Saved Queries, Custom Fields, and Forms. Version: v1-2025-04-18 ## Servers ``` https://platform.api.rhythmsoftware.com ``` ## Security ### knox-authorizer Type: http Scheme: bearer Bearer Format: JWT ### querystring-authorizer Type: apiKey In: header Name: access_token ## Download OpenAPI description [Platform](https://docs.api.rhythmsoftware.com/_bundle/apis/platform/platform-v1.yaml) ## 360 Screens 360 Screens ### Gets all of the 360 screens in the system. - [GET /360Screens/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/360-screens/list360screens.md): This method will scan all 360 screens and and return them to the caller. ### Creates a new 360 screen record that does not already exist. - [POST /360Screens/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/360-screens/create360screen.md): This method will auto-generate an ID and create a new 360 screen. If an ID is specified for the 360 screen, an error will be thrown. ### Execute Batch Operations - [POST /360Screens/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/360-screens/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified service - [GET /360Screens/{tenantId}/service/{service}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/360-screens/listscreensbyservice.md): Returns a list of records with the specified service ### Returns a 360 screen from the system by its ID. - [DELETE /360Screens/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/360-screens/delete360screen.md): This method will delete a 360 screen with the specified ID. ### Returns a 360 screen from the system by its ID. - [GET /360Screens/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/360-screens/get360screen.md): This method will look up a 360 screen by the specified ID and return it back. ### Partially updates a 360 screen with the specified ID. - [PATCH /360Screens/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/360-screens/patch360screen.md): This method will patch an existing 360 screen with the specified ID, using the HTTP PATCH specification. ### Updates a 360 screen with the specified ID. - [PUT /360Screens/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/360-screens/update360screen.md): This method will update an existing 360 screen with the specified ID. ## Custom Fields Custom Fields ### Gets all of the custom fields in the system. - [GET /customFields/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-fields/listcustomfields.md): This method will scan all custom fields and and return them to the caller. ### Creates a new custom field record that does not already exist. - [POST /customFields/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-fields/createcustomfield.md): This method will auto-generate an ID and create a new custom field. If an ID is specified for the custom field, an error will be thrown. ### Execute Batch Operations - [POST /customFields/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-fields/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified service - [GET /customFields/{tenantId}/service/{service}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-fields/listfieldsbyservice.md): Returns a list of records with the specified service ### Returns a custom field from the system by its ID. - [DELETE /customFields/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-fields/deletecustomfield.md): This method will delete a custom field with the specified ID. ### Returns a custom field from the system by its ID. - [GET /customFields/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-fields/getcustomfield.md): This method will look up a custom field by the specified ID and return it back. ### Partially updates a custom field with the specified ID. - [PATCH /customFields/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-fields/patchcustomfield.md): This method will patch an existing custom field with the specified ID, using the HTTP PATCH specification. ### Updates a custom field with the specified ID. - [PUT /customFields/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-fields/updatecustomfield.md): This method will update an existing custom field with the specified ID. ## Custom Objects Custom Objects ### Gets all of the custom objects in the system. - [GET /customObjects/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-objects/listcustomobjects.md): This method will scan all custom objects and and return them to the caller. ### Creates a new custom object record that does not already exist. - [POST /customObjects/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-objects/createcustomobject.md): This method will auto-generate an ID and create a new custom object. If an ID is specified for the custom object, an error will be thrown. ### Returns a custom object from the system by its ID. - [DELETE /customObjects/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-objects/deletecustomobject.md): This method will delete a custom object with the specified ID. ### Returns a custom object from the system by its ID. - [GET /customObjects/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-objects/getcustomobject.md): This method will look up a custom object by the specified ID and return it back. ### Partially updates a custom object with the specified ID. - [PATCH /customObjects/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-objects/patchcustomobject.md): This method will patch an existing custom object with the specified ID, using the HTTP PATCH specification. ### Updates a custom object with the specified ID. - [PUT /customObjects/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-objects/updatecustomobject.md): This method will update an existing custom object with the specified ID. ## Custom Query Definitions Custom Query Definitions ### Gets all of the custom query definitions in the system. - [GET /customQueryDefinitions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-query-definitions/listcustomquerydefinitions.md): This method will scan all custom query definitions and and return them to the caller. ### Creates a new custom query definition record that does not already exist. - [POST /customQueryDefinitions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-query-definitions/createcustomquerydefinition.md): This method will auto-generate an ID and create a new custom query definition. If an ID is specified for the custom query definition, an error will be thrown. ### Execute Batch Operations - [POST /customQueryDefinitions/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-query-definitions/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a custom query definition from the system by its ID. - [DELETE /customQueryDefinitions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-query-definitions/deletecustomquerydefinition.md): This method will delete a custom query definition with the specified ID. ### Returns a custom query definition from the system by its ID. - [GET /customQueryDefinitions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-query-definitions/getcustomquerydefinition.md): This method will look up a custom query definition by the specified ID and return it back. ### Partially updates a custom query definition with the specified ID. - [PATCH /customQueryDefinitions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-query-definitions/patchcustomquerydefinition.md): This method will patch an existing custom query definition with the specified ID, using the HTTP PATCH specification. ### Updates a custom query definition with the specified ID. - [PUT /customQueryDefinitions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-query-definitions/updatecustomquerydefinition.md): This method will update an existing custom query definition with the specified ID. ## Custom Record Actions Custom Record Actions ### Gets all of the custom record actions in the system. - [GET /customRecordActions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-record-actions/listcustomrecordactions.md): This method will scan all custom record actions and and return them to the caller. ### Creates a new custom record action record that does not already exist. - [POST /customRecordActions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-record-actions/createcustomrecordaction.md): This method will auto-generate an ID and create a new custom record action. If an ID is specified for the custom record action, an error will be thrown. ### Execute Batch Operations - [POST /customRecordActions/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-record-actions/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Execute Custom Action for a given Record - [POST /customRecordActions/{tenantId}/execute/{id}/{service}/{record_id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-record-actions/executecustomaction.md) ### Returns a custom record action from the system by its ID. - [DELETE /customRecordActions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-record-actions/deletecustomrecordaction.md): This method will delete a custom record action with the specified ID. ### Returns a custom record action from the system by its ID. - [GET /customRecordActions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-record-actions/getcustomrecordaction.md): This method will look up a custom record action by the specified ID and return it back. ### Partially updates a custom record action with the specified ID. - [PATCH /customRecordActions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-record-actions/patchcustomrecordaction.md): This method will patch an existing custom record action with the specified ID, using the HTTP PATCH specification. ### Updates a custom record action with the specified ID. - [PUT /customRecordActions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-record-actions/updatecustomrecordaction.md): This method will update an existing custom record action with the specified ID. ## Customization Config Settings Customization Config Settings ### Gets all of the customization config settings in the system. - [GET /customizationConfigSettings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/customization-config-settings/listcustomizationconfigsettings.md): This method will scan all customization config settings and and return them to the caller. ### Creates a new customization config setting record that does not already exist. - [POST /customizationConfigSettings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/customization-config-settings/createcustomizationconfigsetting.md): This method will auto-generate an ID and create a new customization config setting. If an ID is specified for the customization config setting, an error will be thrown. ### Execute Batch Operations - [POST /customizationConfigSettings/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/customization-config-settings/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a customization config setting from the system by its ID. - [DELETE /customizationConfigSettings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/customization-config-settings/deletecustomizationconfigsetting.md): This method will delete a customization config setting with the specified ID. ### Returns a customization config setting from the system by its ID. - [GET /customizationConfigSettings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/customization-config-settings/getcustomizationconfigsetting.md): This method will look up a customization config setting by the specified ID and return it back. ### Partially updates a customization config setting with the specified ID. - [PATCH /customizationConfigSettings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/customization-config-settings/patchcustomizationconfigsetting.md): This method will patch an existing customization config setting with the specified ID, using the HTTP PATCH specification. ### Updates a customization config setting with the specified ID. - [PUT /customizationConfigSettings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/customization-config-settings/updatecustomizationconfigsetting.md): This method will update an existing customization config setting with the specified ID. ## Directory Entry Comments Directory Entry Comments ### Returns a list of records with the specified entry_id (public) - [GET /directoryEntryComments/public/{tenantId}/entry/{directory_service}/{directory_id}/{entry_id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/directory-entry-comments/listcommentsbyentryidpublic.md): Returns a list of records with the specified entry_id ### Creates a new directory entry comment record that does not already exist. - [POST /directoryEntryComments/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/directory-entry-comments/createdirectoryentrycomment.md): This method will auto-generate an ID and create a new directory entry comment. If an ID is specified for the directory entry comment, an error will be thrown. ### Execute Batch Operations - [POST /directoryEntryComments/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/directory-entry-comments/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified directory_id - [GET /directoryEntryComments/{tenantId}/directory/{directory_service}/{directory_id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/directory-entry-comments/listcommentsbydirectoryid.md): Returns a list of records with the specified directory_id ### Returns a list of records with the specified entry_id - [GET /directoryEntryComments/{tenantId}/entry/{directory_service}/{directory_id}/{entry_id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/directory-entry-comments/listcommentsbyentryid.md): Returns a list of records with the specified entry_id ### Returns a list of records with the specified submitter_id - [GET /directoryEntryComments/{tenantId}/submitter/{submitter_id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/directory-entry-comments/listcommentsbysubmitterid.md): Returns a list of records with the specified submitter_id ### Returns a directory entry comment from the system by its ID. - [DELETE /directoryEntryComments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/directory-entry-comments/deletedirectoryentrycomment.md): This method will delete a directory entry comment with the specified ID. ### Returns a directory entry comment from the system by its ID. - [GET /directoryEntryComments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/directory-entry-comments/getdirectoryentrycomment.md): This method will look up a directory entry comment by the specified ID and return it back. ### Partially updates a directory entry comment with the specified ID. - [PATCH /directoryEntryComments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/directory-entry-comments/patchdirectoryentrycomment.md): This method will patch an existing directory entry comment with the specified ID, using the HTTP PATCH specification. ### Updates a directory entry comment with the specified ID. - [PUT /directoryEntryComments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/directory-entry-comments/updatedirectoryentrycomment.md): This method will update an existing directory entry comment with the specified ID. ## Email Activities Email Activities ### Returns a list of email activity by contact id - [GET /emailActivities/{tenantId}/{contactId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/email-activities/getemailactivitybycontactid.md): Returns a list of email activity by contact id ## Email Integrations Email Integrations ### Creates a new email integration record that does not already exist. - [POST /emailIntegrations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/email-integrations/createemailintegration.md): This method will auto-generate an ID and create a new email integration. If an ID is specified for the email integration, an error will be thrown. ### Returns a list of email accounts that are available for integration - [GET /emailIntegrations/{tenantId}/accounts](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/email-integrations/listemailintegrationaccounts.md): Returns a list of email accounts that are available for integration ### Returns a list of email integrated queries by app - [GET /emailIntegrations/{tenantId}/app/{app}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/email-integrations/listemailintegrationsbyapp.md): Returns a list of email integrated queries by app ### Execute Batch Operations - [POST /emailIntegrations/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/email-integrations/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of email integrated queries by query - [GET /emailIntegrations/{tenantId}/query/{query_id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/email-integrations/listemailintegrationsbyquery.md): Returns a list of email integrated queries by query ### Returns a email integration from the system by its ID. - [DELETE /emailIntegrations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/email-integrations/deleteemailintegration.md): This method will delete a email integration with the specified ID. ### Returns a email integration from the system by its ID. - [GET /emailIntegrations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/email-integrations/getemailintegration.md): This method will look up a email integration by the specified ID and return it back. ### Partially updates a email integration with the specified ID. - [PATCH /emailIntegrations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/email-integrations/patchemailintegration.md): This method will patch an existing email integration with the specified ID, using the HTTP PATCH specification. ### Updates a email integration with the specified ID. - [PUT /emailIntegrations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/email-integrations/updateemailintegration.md): This method will update an existing email integration with the specified ID. ## File Uploads File Uploads ### Uploads a file to a temporary staging location - [PUT /fileUploads/staging/{tenantId}/{service}/{filename}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/file-uploads/createtemporaryfile.md): This method uploads a file to a temporary staging location ### Retrieves a previously uploaded file - [GET /fileUploads/{tenantId}/public/{service}/{id}/{fileid}/image](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/file-uploads/getpublicimage.md): This method retrieves a file that was previously uploaded ### Gets a presigned URL to update for uploading a public image - [GET /fileUploads/{tenantId}/public/{service}/{id}/{fileid}/presignedUrlForUpload](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/file-uploads/getsignedurltouploadpublicimage.md): This method retrieves a file that was previously uploaded ### Returns an AWS S3 pre-signed URL for use in downloading a file from a web application - [GET /fileUploads/{tenantId}/signedUrl/{service}/{id}/{fileid}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/file-uploads/getsignedurlforfile.md): This method contacts S3 and generates a "presigned URL." This URL can be used to post a file. The return value is the URL to post. ### Returns an AWS S3 pre-signed URL for use in uploading a file from a web application - [POST /fileUploads/{tenantId}/signedUrlRequest/{service}/{filename}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/file-uploads/gettemporaryfileuploadurl.md): This method contacts S3 and generates a "presigned URL." This URL can be used to post a file. The return value is the URL to post. ### Retrieves a previously uploaded file - [GET /fileUploads/{tenantId}/{service}/{id}/{fileid}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/file-uploads/getfile.md): This method retrieves a file that was previously uploaded ### Retrieves a previously uploaded file - [GET /fileUploads/{tenantId}/{service}/{id}/{fileid}/image](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/file-uploads/getimage.md): This method retrieves a file that was previously uploaded ## Page Layouts Page Layouts ### Gets all of the page layouts in the system. - [GET /pageLayouts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/page-layouts/listpagelayouts.md): This method will scan all page layouts and and return them to the caller. ### Creates a new page layout record that does not already exist. - [POST /pageLayouts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/page-layouts/createpagelayout.md): This method will auto-generate an ID and create a new page layout. If an ID is specified for the page layout, an error will be thrown. ### Execute Batch Operations - [POST /pageLayouts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/page-layouts/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Gets all of the page layouts for a particular service - [GET /pageLayouts/{tenantId}/service/{serviceName}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/page-layouts/listpagelayoutsbyservice.md): This method will scan all page layouts for a service and return them to the caller ### Returns a page layout from the system by its ID. - [DELETE /pageLayouts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/page-layouts/deletepagelayout.md): This method will delete a page layout with the specified ID. ### Returns a page layout from the system by its ID. - [GET /pageLayouts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/page-layouts/getpagelayout.md): This method will look up a page layout by the specified ID and return it back. ### Partially updates a page layout with the specified ID. - [PATCH /pageLayouts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/page-layouts/patchpagelayout.md): This method will patch an existing page layout with the specified ID, using the HTTP PATCH specification. ### Updates a page layout with the specified ID. - [PUT /pageLayouts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/page-layouts/updatepagelayout.md): This method will update an existing page layout with the specified ID. ## Query Delivery Schedules Query Delivery Schedules ### Creates a new query delivery schedule record that does not already exist. - [POST /queryDeliverySchedules/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/query-delivery-schedules/createquerydeliveryschedule.md): This method will auto-generate an ID and create a new query delivery schedule. If an ID is specified for the query delivery schedule, an error will be thrown. ### Returns a list of records with the specified application_context_id - [GET /queryDeliverySchedules/{tenantId}/applicationContext/{application}/{contextId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/query-delivery-schedules/listschedulesbyapplicationcontextid.md): Returns a list of records with the specified application_context_id ### Execute Batch Operations - [POST /queryDeliverySchedules/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/query-delivery-schedules/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Immediately processes a delivery schedule - [POST /queryDeliverySchedules/{tenantId}/process/{scheduleId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/query-delivery-schedules/processscheduleimmediately.md): Immediately processes a delivery schedule ### Immediately processes a delivery schedule - [POST /queryDeliverySchedules/{tenantId}/processWithStepFunction/{scheduleId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/query-delivery-schedules/processscheduleimmediatelywithstepfunction.md): Immediately processes a delivery schedule ### Returns a query delivery schedule from the system by its ID. - [DELETE /queryDeliverySchedules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/query-delivery-schedules/deletequerydeliveryschedule.md): This method will delete a query delivery schedule with the specified ID. ### Returns a query delivery schedule from the system by its ID. - [GET /queryDeliverySchedules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/query-delivery-schedules/getquerydeliveryschedule.md): This method will look up a query delivery schedule by the specified ID and return it back. ### Partially updates a query delivery schedule with the specified ID. - [PATCH /queryDeliverySchedules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/query-delivery-schedules/patchquerydeliveryschedule.md): This method will patch an existing query delivery schedule with the specified ID, using the HTTP PATCH specification. ### Updates a query delivery schedule with the specified ID. - [PUT /queryDeliverySchedules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/query-delivery-schedules/updatequerydeliveryschedule.md): This method will update an existing query delivery schedule with the specified ID. ## Query User Profiles Query User Profiles ### Creates a new query user profile record that does not already exist. - [POST /queryUserProfiles/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/query-user-profiles/createqueryuserprofile.md): This method will auto-generate an ID and create a new query user profile. If an ID is specified for the query user profile, an error will be thrown. ### Execute Batch Operations - [POST /queryUserProfiles/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/query-user-profiles/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a query user profile from the system by its ID. - [DELETE /queryUserProfiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/query-user-profiles/deletequeryuserprofile.md): This method will delete a query user profile with the specified ID. ### Returns a query user profile from the system by its ID. - [GET /queryUserProfiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/query-user-profiles/getqueryuserprofile.md): This method will look up a query user profile by the specified ID and return it back. ### Partially updates a query user profile with the specified ID. - [PATCH /queryUserProfiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/query-user-profiles/patchqueryuserprofile.md): This method will patch an existing query user profile with the specified ID, using the HTTP PATCH specification. ### Updates a query user profile with the specified ID. - [PUT /queryUserProfiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/query-user-profiles/updatequeryuserprofile.md): This method will update an existing query user profile with the specified ID. ## Record Alert Rule Sets Record Alert Rule Sets ### Gets all of the record alert rule sets in the system. - [GET /recordAlertRuleSets/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/record-alert-rule-sets/listrecordalertrulesets.md): This method will scan all record alert rule sets and and return them to the caller. ### Creates a new record alert rule set record that does not already exist. - [POST /recordAlertRuleSets/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/record-alert-rule-sets/createrecordalertruleset.md): This method will auto-generate an ID and create a new record alert rule set. If an ID is specified for the record alert rule set, an error will be thrown. ### Execute Batch Operations - [POST /recordAlertRuleSets/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/record-alert-rule-sets/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a record alert rule set from the system by its ID. - [DELETE /recordAlertRuleSets/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/record-alert-rule-sets/deleterecordalertruleset.md): This method will delete a record alert rule set with the specified ID. ### Returns a record alert rule set from the system by its ID. - [GET /recordAlertRuleSets/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/record-alert-rule-sets/getrecordalertruleset.md): This method will look up a record alert rule set by the specified ID and return it back. ### Partially updates a record alert rule set with the specified ID. - [PATCH /recordAlertRuleSets/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/record-alert-rule-sets/patchrecordalertruleset.md): This method will patch an existing record alert rule set with the specified ID, using the HTTP PATCH specification. ### Updates a record alert rule set with the specified ID. - [PUT /recordAlertRuleSets/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/record-alert-rule-sets/updaterecordalertruleset.md): This method will update an existing record alert rule set with the specified ID. ## Record Alerts Record Alerts ### Gets all of the record alerts in the system. - [GET /recordAlerts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/record-alerts/listrecordalerts.md): This method will scan all record alerts and and return them to the caller. ### Creates a new record alert record that does not already exist. - [POST /recordAlerts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/record-alerts/createrecordalert.md): This method will auto-generate an ID and create a new record alert. If an ID is specified for the record alert, an error will be thrown. ### Execute Batch Operations - [POST /recordAlerts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/record-alerts/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a record alert from the system by its ID. - [DELETE /recordAlerts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/record-alerts/deleterecordalert.md): This method will delete a record alert with the specified ID. ### Returns a record alert from the system by its ID. - [GET /recordAlerts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/record-alerts/getrecordalert.md): This method will look up a record alert by the specified ID and return it back. ### Partially updates a record alert with the specified ID. - [PATCH /recordAlerts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/record-alerts/patchrecordalert.md): This method will patch an existing record alert with the specified ID, using the HTTP PATCH specification. ### Updates a record alert with the specified ID. - [PUT /recordAlerts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/record-alerts/updaterecordalert.md): This method will update an existing record alert with the specified ID. ## Saved Queries Saved Queries ### Creates a new saved query record that does not already exist. - [POST /savedQueries/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-queries/createsavedquery.md): This method will auto-generate an ID and create a new saved query. If an ID is specified for the saved query, an error will be thrown. ### Execute Batch Operations - [POST /savedQueries/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-queries/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified file_cabinet_id - [GET /savedQueries/{tenantId}/fileCabinet/{file_cabinet_id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-queries/listqueriesbyfilecabinetid.md): Returns a list of records with the specified file_cabinet_id ### Returns a saved query from the system by its ID. - [DELETE /savedQueries/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-queries/deletesavedquery.md): This method will delete a saved query with the specified ID. ### Returns a saved query from the system by its ID. - [GET /savedQueries/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-queries/getsavedquery.md): This method will look up a saved query by the specified ID and return it back. ### Partially updates a saved query with the specified ID. - [PATCH /savedQueries/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-queries/patchsavedquery.md): This method will patch an existing saved query with the specified ID, using the HTTP PATCH specification. ### Updates a saved query with the specified ID. - [PUT /savedQueries/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-queries/updatesavedquery.md): This method will update an existing saved query with the specified ID. ## Saved Reports Saved Reports ### Creates a new saved report record that does not already exist. - [POST /savedReports/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-reports/createsavedreport.md): This method will auto-generate an ID and create a new saved report. If an ID is specified for the saved report, an error will be thrown. ### Returns a list of records with the specified app - [GET /savedReports/{tenantId}/app/{app}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-reports/listreportsbyapp.md): Returns a list of records with the specified app ### Execute Batch Operations - [POST /savedReports/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-reports/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified report_id - [GET /savedReports/{tenantId}/report/{report_id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-reports/listreportsbyreportid.md): Returns a list of records with the specified report_id ### Returns a saved report from the system by its ID. - [DELETE /savedReports/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-reports/deletesavedreport.md): This method will delete a saved report with the specified ID. ### Returns a saved report from the system by its ID. - [GET /savedReports/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-reports/getsavedreport.md): This method will look up a saved report by the specified ID and return it back. ### Partially updates a saved report with the specified ID. - [PATCH /savedReports/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-reports/patchsavedreport.md): This method will patch an existing saved report with the specified ID, using the HTTP PATCH specification. ### Updates a saved report with the specified ID. - [PUT /savedReports/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-reports/updatesavedreport.md): This method will update an existing saved report with the specified ID. ## Saved Searches Saved Searches ### Creates a new saved search record that does not already exist. - [POST /savedSearches/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-searches/createsavedsearch.md): This method will auto-generate an ID and create a new saved search. If an ID is specified for the saved search, an error will be thrown. ### Returns a list of records with the specified service_access_group - [GET /savedSearches/{tenantId}/available/{service}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-searches/listallavailablesearchesforuser.md): Returns a list of records with the specified service_access_group ### Execute Batch Operations - [POST /savedSearches/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-searches/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a saved search from the system by its ID. - [DELETE /savedSearches/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-searches/deletesavedsearch.md): This method will delete a saved search with the specified ID. ### Returns a saved search from the system by its ID. - [GET /savedSearches/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-searches/getsavedsearch.md): This method will look up a saved search by the specified ID and return it back. ### Partially updates a saved search with the specified ID. - [PATCH /savedSearches/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-searches/patchsavedsearch.md): This method will patch an existing saved search with the specified ID, using the HTTP PATCH specification. ### Updates a saved search with the specified ID. - [PUT /savedSearches/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-searches/updatesavedsearch.md): This method will update an existing saved search with the specified ID. ## Service Configurations Service Configurations ### Gets all of the service configurations in the system. - [GET /serviceConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/service-configurations/listserviceconfigurations.md): This method will scan all service configurations and and return them to the caller. ### Creates a new service configuration record that does not already exist. - [POST /serviceConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/service-configurations/createserviceconfiguration.md): This method will auto-generate an ID and create a new service configuration. If an ID is specified for the service configuration, an error will be thrown. ### Execute Batch Operations - [POST /serviceConfigurations/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/service-configurations/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Gets service metadata - [GET /serviceConfigurations/{tenantId}/metadata/{microservice}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/service-configurations/getmicroservicemetadata.md): Returns information about fields for a service ### Returns a service configuration from the system by its ID. - [DELETE /serviceConfigurations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/service-configurations/deleteserviceconfiguration.md): This method will delete a service configuration with the specified ID. ### Returns a service configuration from the system by its ID. - [GET /serviceConfigurations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/service-configurations/getserviceconfiguration.md): This method will look up a service configuration by the specified ID and return it back. ### Partially updates a service configuration with the specified ID. - [PATCH /serviceConfigurations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/service-configurations/patchserviceconfiguration.md): This method will patch an existing service configuration with the specified ID, using the HTTP PATCH specification. ### Updates a service configuration with the specified ID. - [PUT /serviceConfigurations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/service-configurations/updateserviceconfiguration.md): This method will update an existing service configuration with the specified ID. ## Service Metadata Service Metadata ### Gets all of the service metadata in the system. - [GET /serviceMetadata/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/service-metadata/listservicemetadata.md): This method will scan all service metadata and and return them to the caller. ### Creates a new service metadatum record that does not already exist. - [POST /serviceMetadata/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/service-metadata/createservicemetadatum.md): This method will auto-generate an ID and create a new service metadatum. If an ID is specified for the service metadatum, an error will be thrown. ### Returns a service metadatum from the system by its ID. - [DELETE /serviceMetadata/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/service-metadata/deleteservicemetadatum.md): This method will delete a service metadatum with the specified ID. ### Returns a service metadatum from the system by its ID. - [GET /serviceMetadata/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/service-metadata/getservicemetadatum.md): This method will look up a service metadatum by the specified ID and return it back. ### Partially updates a service metadatum with the specified ID. - [PATCH /serviceMetadata/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/service-metadata/patchservicemetadatum.md): This method will patch an existing service metadatum with the specified ID, using the HTTP PATCH specification. ### Updates a service metadatum with the specified ID. - [PUT /serviceMetadata/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/service-metadata/updateservicemetadatum.md): This method will update an existing service metadatum with the specified ID. ## Task Assignment Roles Task Assignment Roles ### Gets all of the task assignment roles in the system. - [GET /taskAssignmentRoles/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-assignment-roles/listtaskassignmentroles.md): This method will scan all task assignment roles and and return them to the caller. ### Creates a new task assignment role record that does not already exist. - [POST /taskAssignmentRoles/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-assignment-roles/createtaskassignmentrole.md): This method will auto-generate an ID and create a new task assignment role. If an ID is specified for the task assignment role, an error will be thrown. ### Execute Batch Operations - [POST /taskAssignmentRoles/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-assignment-roles/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a task assignment role from the system by its ID. - [DELETE /taskAssignmentRoles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-assignment-roles/deletetaskassignmentrole.md): This method will delete a task assignment role with the specified ID. ### Returns a task assignment role from the system by its ID. - [GET /taskAssignmentRoles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-assignment-roles/gettaskassignmentrole.md): This method will look up a task assignment role by the specified ID and return it back. ### Partially updates a task assignment role with the specified ID. - [PATCH /taskAssignmentRoles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-assignment-roles/patchtaskassignmentrole.md): This method will patch an existing task assignment role with the specified ID, using the HTTP PATCH specification. ### Updates a task assignment role with the specified ID. - [PUT /taskAssignmentRoles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-assignment-roles/updatetaskassignmentrole.md): This method will update an existing task assignment role with the specified ID. ## Task Queues Task Queues ### Gets all of the task queues in the system. - [GET /taskQueues/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-queues/listtaskqueues.md): This method will scan all task queues and and return them to the caller. ### Creates a new task queue record that does not already exist. - [POST /taskQueues/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-queues/createtaskqueue.md): This method will auto-generate an ID and create a new task queue. If an ID is specified for the task queue, an error will be thrown. ### Execute Batch Operations - [POST /taskQueues/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-queues/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a task queue from the system by its ID. - [DELETE /taskQueues/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-queues/deletetaskqueue.md): This method will delete a task queue with the specified ID. ### Returns a task queue from the system by its ID. - [GET /taskQueues/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-queues/gettaskqueue.md): This method will look up a task queue by the specified ID and return it back. ### Partially updates a task queue with the specified ID. - [PATCH /taskQueues/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-queues/patchtaskqueue.md): This method will patch an existing task queue with the specified ID, using the HTTP PATCH specification. ### Updates a task queue with the specified ID. - [PUT /taskQueues/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-queues/updatetaskqueue.md): This method will update an existing task queue with the specified ID. ## Task Types Task Types ### Gets all of the task types in the system. - [GET /taskTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-types/listtasktypes.md): This method will scan all task types and and return them to the caller. ### Creates a new task type record that does not already exist. - [POST /taskTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-types/createtasktype.md): This method will auto-generate an ID and create a new task type. If an ID is specified for the task type, an error will be thrown. ### Execute Batch Operations - [POST /taskTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a task type from the system by its ID. - [DELETE /taskTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-types/deletetasktype.md): This method will delete a task type with the specified ID. ### Returns a task type from the system by its ID. - [GET /taskTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-types/gettasktype.md): This method will look up a task type by the specified ID and return it back. ### Partially updates a task type with the specified ID. - [PATCH /taskTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-types/patchtasktype.md): This method will patch an existing task type with the specified ID, using the HTTP PATCH specification. ### Updates a task type with the specified ID. - [PUT /taskTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-types/updatetasktype.md): This method will update an existing task type with the specified ID. ## Tasks Tasks ### Creates a new task record that does not already exist. - [POST /tasks/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/tasks/createtask.md): This method will auto-generate an ID and create a new task. If an ID is specified for the task, an error will be thrown. ### Returns a list of records with the specified assignee_id - [GET /tasks/{tenantId}/assignee/{assignee_id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/tasks/listtasksbyassigneeid.md): Returns a list of records with the specified assignee_id ### Returns a list of records with the specified associated_contact_id - [GET /tasks/{tenantId}/associatedContact/{associated_contact_id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/tasks/listtasksbyassociatedcontactid.md): Returns a list of records with the specified associated_contact_id ### Returns a list of records with the specified associated_organization_id - [GET /tasks/{tenantId}/associatedOrganization/{associated_organization_id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/tasks/listtasksbyassociatedorganizationid.md): Returns a list of records with the specified associated_organization_id ### Returns a list of records with the specified sys_search_associated_record_id - [GET /tasks/{tenantId}/associatedRecord/{service}/{record_id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/tasks/listtasksbyassociatedrecordid.md): Returns a list of records with the specified sys_search_associated_record_id ### Returns a list of records with the specified owner_id - [GET /tasks/{tenantId}/owner/{owner_id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/tasks/listtasksbyownerid.md): Returns a list of records with the specified owner_id ### Returns a list of records with the specified queue_id - [GET /tasks/{tenantId}/queue/{queue_id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/tasks/listtasksbyqueueid.md): Returns a list of records with the specified queue_id ### Searches for tasks using predefined parameters - [POST /tasks/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/tasks/searchfortasks.md): Searches for tasks using predefined parameters ### Returns a list of records with the specified task_group_id - [GET /tasks/{tenantId}/taskGroup/{task_group_id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/tasks/listtasksbytaskgroupid.md): Returns a list of records with the specified task_group_id ### Returns a task from the system by its ID. - [DELETE /tasks/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/tasks/deletetask.md): This method will delete a task with the specified ID. ### Returns a task from the system by its ID. - [GET /tasks/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/tasks/gettask.md): This method will look up a task by the specified ID and return it back. ### Partially updates a task with the specified ID. - [PATCH /tasks/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/tasks/patchtask.md): This method will patch an existing task with the specified ID, using the HTTP PATCH specification. ### Updates a task with the specified ID. - [PUT /tasks/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/tasks/updatetask.md): This method will update an existing task with the specified ID. ## Web Form Drafts Web Form Drafts ### Creates a new web form draft record that does not already exist. - [POST /webFormDrafts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/web-form-drafts/createwebformdraft.md): This method will auto-generate an ID and create a new web form draft. If an ID is specified for the web form draft, an error will be thrown. ### Execute Batch Operations - [POST /webFormDrafts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/web-form-drafts/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified contact_service_context_id - [GET /webFormDrafts/{tenantId}/contactServiceContext/{service}/{contactId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/web-form-drafts/listdraftsbycontactservicecontextid.md): Returns a list of records with the specified contact_service_context_id ### Returns a web form draft from the system by its ID. - [DELETE /webFormDrafts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/web-form-drafts/deletewebformdraft.md): This method will delete a web form draft with the specified ID. ### Returns a web form draft from the system by its ID. - [GET /webFormDrafts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/web-form-drafts/getwebformdraft.md): This method will look up a web form draft by the specified ID and return it back. ### Partially updates a web form draft with the specified ID. - [PATCH /webFormDrafts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/web-form-drafts/patchwebformdraft.md): This method will patch an existing web form draft with the specified ID, using the HTTP PATCH specification. ### Updates a web form draft with the specified ID. - [PUT /webFormDrafts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/web-form-drafts/updatewebformdraft.md): This method will update an existing web form draft with the specified ID. ## Web Forms Web Forms ### Gets all of the web forms in the system. - [GET /webForms/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/web-forms/listwebforms.md): This method will scan all web forms and and return them to the caller. ### Creates a new web form record that does not already exist. - [POST /webForms/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/web-forms/createwebform.md): This method will auto-generate an ID and create a new web form. If an ID is specified for the web form, an error will be thrown. ### Execute Batch Operations - [POST /webForms/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/web-forms/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified service - [GET /webForms/{tenantId}/service/{service}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/web-forms/listformsbyservice.md): Returns a list of records with the specified service ### Returns a web form from the system by its ID. - [DELETE /webForms/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/web-forms/deletewebform.md): This method will delete a web form with the specified ID. ### Returns a web form from the system by its ID. - [GET /webForms/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/web-forms/getwebform.md): This method will look up a web form by the specified ID and return it back. ### Partially updates a web form with the specified ID. - [PATCH /webForms/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/web-forms/patchwebform.md): This method will patch an existing web form with the specified ID, using the HTTP PATCH specification. ### Updates a web form with the specified ID. - [PUT /webForms/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/web-forms/updatewebform.md): This method will update an existing web form with the specified ID. ## Workflows Workflows ### Creates a new workflow record that does not already exist. - [POST /workflows/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/workflows/createworkflow.md): This method will auto-generate an ID and create a new workflow. If an ID is specified for the workflow, an error will be thrown. ### Execute Batch Operations - [POST /workflows/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/workflows/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a workflow from the system by its ID. - [DELETE /workflows/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/workflows/deleteworkflow.md): This method will delete a workflow with the specified ID. ### Returns a workflow from the system by its ID. - [GET /workflows/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/workflows/getworkflow.md): This method will look up a workflow by the specified ID and return it back. ### Partially updates a workflow with the specified ID. - [PATCH /workflows/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/workflows/patchworkflow.md): This method will patch an existing workflow with the specified ID, using the HTTP PATCH specification. ### Updates a workflow with the specified ID. - [PUT /workflows/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/workflows/updateworkflow.md): This method will update an existing workflow with the specified ID.